#### PyKDE - Python Bindings for KDE

# class KFileMimeTypeInfo.ItemInfo |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KFileMimeTypeInfo.ItemInfo
Inherits |

### methods

- ItemInfo ()

  returns a ItemInfo instance

- ItemInfo (key, translatedKey, type)

  returns a ItemInfo instance
  Argument | Type | Default
  --- | --- | ---
  key | TQString |
  translatedKey | TQString |
  type | TQVariant.Type |

- attributes ()

  returns (uint)

- hint ()

  returns (uint)

- isVariableItem ()

  returns (bool)

- key ()

  returns (TQString)

- prefix ()

  returns (TQString)

- string (value, mangle = 1)

  returns (TQString)
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  value | TQVariant |
  mangle | bool | 1

- suffix ()

  returns (TQString)

- translatedKey ()

  returns (TQString)

- type ()

  returns (TQVariant.Type)

- unit ()

  returns (uint)